/*分类列表页*/
.category-list{
    height: calc(100vh - 65px);
}
.category-list .nav-stacked > li {
    width: 110px;
    margin-top: 0;
    background: #f5f6f8;
}
.category-list .nav-stacked > li:last-child {
    flex-grow: 1;
    background: #f5f6f8;
}
.category-list .nav-stacked > li > a {
    font-size: 16px;
    padding: 20px 10px 20px 20px;
}
.category-list .nav-stacked > li > a:hover,
.category-list .nav-stacked > li > a:focus,
.category-list .nav-stacked > li.active > a,
.category-list .nav-stacked > li.active > a:hover,
.category-list .nav-stacked > li.active > a:focus {
    color: #7753ff;
    background-color: #fff;
    font-weight: bold;
}
.category-list .nav-stacked > li.active + li {
    border-radius: 0 15px 0 0;
}
/*.category-list .nav-stacked > li:not(.active) ~ .category-list .nav-stacked > li.active:first-of-type {
    background-color: blue;
}*/
.category-list .nav-stacked > li:nth-child(n):has(+ li.active) {
    border-radius: 0 0 15px 0;
}
.category-list .nav-stacked > li.active > a:after {
    content: "";
    position: absolute;
    left: 0;
    top: 50%;
    width: 5px;
    height: 20px;
    margin-top: -10px;
    border-radius: 5px;
    background: #7753ff;
}
.category-list .tab-content{
    flex: 1;
    overflow-y: auto;
}
.category-list .tab-content .subcategory .btn{
    border-radius: 50px;
}
.category-list .media-item .embed-responsive{
    width: 90px;
}
.category-list .media-item.door .embed-responsive{
    width: 65px;
}
.category-list .media-item.door .media-body {
    vertical-align: middle;
}

.channel-title {
    position: relative;
    padding-left: 20px;
}
.channel-title:before {
    content: '';
    width: 13px;
    height: 20px;
    background: linear-gradient(to right, #3291F8, #1f78d8);
    position: absolute;
    left: 0;
    top: 2px;
    border-radius: 0 20px 20px 0;
}

.goods-spec-text{
    margin: 0;
}
.goods-spec-text li {
    position: relative;
    overflow: hidden;
    padding: 0;
    margin-right: 10px;
}
.goods-spec-text li a {
    display: block;
    margin: 0;
    padding: 5px 15px;
    font-size: 14px;
    border-radius: 4px;
    border: 1px solid #ccc;
    cursor: pointer;
    overflow: hidden;
    position: relative;
}
.goods-spec-text li a img {
    width: 20px;
    height: 20px;
}
.goods-spec-text li a:hover {
    border-color: #3291F8;
    text-decoration: none;
}
.goods-spec-text li.selected a {
    border-color: #3291F8;
}
.goods-spec-text li.disabled a {
    border-color: #ddd;
    color: rgba(0, 0, 0, .3);
    background-color: #f7f7f7;
}
.goods-spec-text li.selected a:after,
.goods-spec-text li.selected a:before {
    position: absolute;
    right: 0;
    bottom: 0;
    content: "";
}
.goods-spec-text li.selected a:before {
    width: 0;
    height: 0;
    right: -10px;
    line-height: 0;
    border: 10px solid #fff;
    border-bottom: 10px solid #3291F8;
}
.goods-spec-text li.selected a:after {
    width: 10px;
    height: 10px;
    background: url("../img/check.png") no-repeat 100% 100%;
    background-size: 6px auto;
}
.goods-spec-text li.selected i {
    display: block;
}

.quantity {
    font-size: 0;
    display: inline-block;
    vertical-align: top;
}
.quantity .quantity-text {
    display: inline-block;
    width: 50px;
    text-align: center;
    font-size: 16px;
    border: 0;
    border-top: 1px solid #ccc;
    border-bottom: 1px solid #ccc;
    outline: 0;
    vertical-align: top;
    height: 35px;
}
.quantity .quantity-down,
.quantity .quantity-up {
    display: inline-block;
    padding: 0 10px;
    font-size: 20px;
    color: #666;
    text-align: center;
    border: 1px solid #ccc;
    vertical-align: top;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    height: 35px;
    line-height: 33px;
}
.quantity .quantity-down:hover,
.quantity .quantity-up:hover {
    background: #fafafa;
    cursor: pointer;
}

.address {
    position: relative;
    overflow: hidden;
    cursor: pointer;
    background: #f8f9fa;
    border: 1px solid #f5f6f8;
}
.address .ribbon-wrapper {
    display: none;
}
.address.active .ribbon-wrapper {
    display: block;
}
.address:hover,
.address.active {
    background: linear-gradient(to right, #f7efff, #fdfcff);
    border: 1px solid #b2a1f8;
}
.address .ribbon-wrapper {
    position: absolute;
    top: 0;
    right: 0;
    overflow: hidden;
    width: 75px;
    height: 75px;
}
.ribbon {
    font-size: 11px;
    position: relative;
    top: 10px;
    left: -3px;
    width: 120px;
    padding: 3px;
    color: #fff;
    text-align: center;
    background-color: #7753ff;
    text-transform: uppercase;
    z-index: 2;
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    -o-transform: rotate(45deg);
}